@mhupp
As usual - your lisp are effective,clear and as simple as it can be!
I've added one more option - to let the user to choose the fillet radius (option FF):
(defun C:F1 () (frx "0.0625"))
(defun C:F2 () (frx "0.125"))
(defun C:F3 () (frx "0.250"))
(defun C:F4 () (frx "0.375"))
(defun C:F5 () (frx "0.500"))
(defun C:FF (/ FRad)
(setq FRad (getreal "\nFillet Radius<0>: "))
(if (= FRad nil)
(setq FRad 0)
)
(frx (rtos FRad 2 3))
)
;;----------------------------------------------------------------------;;
;; Quick Fillet with set radius
(defun frx (x / *error* ofr)
(defun *error* (errmsg)
(if (not (wcmatch errmsg "Function cancelled,quit / exit abort,console break"))
(princ (strcat "\nError: " errmsg))
) ; if
(setvar 'filletrad ofr)
)
(setvar "cmdecho" 0)
(setq ofr (getvar 'filletrad))
(vl-cmdf "_.Fillet" "_Radius" x "_.Fillet" "_Multiple")
(setvar "cmdecho" 1)
(princ (strcat "\nFillet (radius=" x "): Select first entity or [Fillet Settings.../Polyline/Radius/Trim/Undo/Multiple]:"))
(while (> (getvar 'cmdactive) 0) (command pause))
(setvar 'filletrad ofr)
(princ)
)
and again - well done!!
Regards,
aridzv.